routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify'=> true]);

Route::get('/', 'HomeController@index')->name('index')->middleware('verified');
Route::get('lang/{locale}', 'HomeController@lang');

Route::view('requirement','requirement')->name('requirement');

Route::view('price','price')->name('price');

Route::view('contact','contact')->name('contact');

Route::view('gallery','gallery')->name('gallery');

Route::resource('profile', 'ProfileController');

Route::get('dashboard','DashboardController@index')->name('dashboard.index');

Route::resource('service', 'ServiceController');

Route::resource('driver', 'DriverController');

Route::resource('order', 'OrderController');

app/Driver.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Driver extends Model
{
    use SoftDeletes;

    protected $guarded = [];

    protected $casts = [
        'phones' => 'array'
    ];

    public function orders() {
        return $this->hasMany(Order::class);
    }
}

app/Http/Controllers/DriverController.php
<?php

namespace App\Http\Controllers;

use App\Driver;
use App\Http\Requests\StoreDriverRequest;
use App\Http\Requests\UpdateDriverRequest;
use Illuminate\Http\Request;

class DriverController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return response(Driver::paginate(25));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $profile = auth()->user()->profile;
        return view('driver.create', compact(['driver','profile']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param StoreDriverRequest $storeDriverRequest
     * @return Driver|\Illuminate\Database\Eloquent\Model
     */
    public function store(StoreDriverRequest $storeDriverRequest)
    {
        return Driver::create($storeDriverRequest->validated());
    }

    /**
     * Display the specified resource.
     *
     * @param \App\Driver $driver
     * @return \Illuminate\Http\Response
     */
    public function show(Driver $driver)
    {
        return view('driver.show', compact('driver'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\Driver $driver
     * @return \Illuminate\Http\Response
     */
    public function edit(Driver $driver)
    {
        return view('driver.edit', compact('driver'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param UpdateDriverRequest $updateDriverRequest
     * @param \App\Driver $driver
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateDriverRequest $updateDriverRequest, Driver $driver)
    {
        $driver->update($updateDriverRequest->validated());
        return redirect(route('driver.edit', compact('driver')));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\Driver $driver
     * @return \Illuminate\Http\Response
     * @throws \Exception
     */
    public function destroy(Driver $driver)
    {
        $driver->delete();
        return redirect(route('index'));
    }


}

resources/views/driver/create.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('driver.card') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('driver.store') }}" enctype="multipart/form-data">
                            @include('driver.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('driver.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/driver/edit.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('driver.card') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('driver.update',['driver' => $driver->id]) }}" enctype="multipart/form-data">
                            @method('PUT')
                            @include('driver.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('driver.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/driver/form.blade.php
<div class="form-group row">
    <label for="surname" class="col-md-4 col-form-label text-md-right">{{ __('driver.surname') }}</label>

    <div class="col-md-6">
        <input id="surname" type="text"
               class="form-control @error('surname') is-invalid @enderror" name="surname"
               value="{{ old('surname') ?? $driver->surname ?? $profile->surname ?? '' }}" required autofocus>

        @error('surname')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('driver.name') }}</label>

    <div class="col-md-6">
        <input id="name" type="text"
               class="form-control @error('name') is-invalid @enderror" name="name"
               value="{{ old('name') ?? $driver->name ?? $profile->name ?? '' }}" required autofocus>

        @error('name')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="patronymic" class="col-md-4 col-form-label text-md-right">{{ __('driver.patronymic') }}</label>

    <div class="col-md-6">
        <input id="name" type="text"
               class="form-control @error('patronymic') is-invalid @enderror" name="patronymic"
               value="{{ old('patronymic') ?? $driver->patronymic ?? $profile->patronymic ?? '' }}" autofocus>

        @error('patronymic')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

@php
    $phones = null;
    if(isset($driver) && !empty($driver))
        $phones = $driver->phones;
    elseif(isset($profile) && !empty($profile))
        $phones = $profile->phones;
@endphp
<div class="form-group row">
    <label for="phones" class="col-md-4 col-form-label text-md-right">{{ __('driver.mobile_phone') }}</label>
    <div class="col-md-6 phone_inputs" id="mobile_inputs">
            @if(isset($phones['mobile']))
                @for($i =0; $i < count($phones['mobile']); $i++)
                    @if($i > 0)
                        <div class="input-group">
                            <input id="phones" type="text"
                                   class="form-control @error('phones') is-invalid @enderror mobile_phone"
                                   name="phones[mobile][]"
                                   value="{{ old('phones[mobile]['.$i.']') ?? $phones['mobile'][$i] ?? '' }}"
                                   required autofocus aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary delete_phone_input_btn" type="button"><i
                                        class="fa fa-minus"></i></button>
                            </div>
                        </div>
                    @else
                        <div class="input-group">
                            <input id="phones" type="text"
                                   class="form-control @error('phones') is-invalid @enderror mobile_phone"
                                   name="phones[mobile][]"
                                   value="{{ old('phones[mobile]['.$i.']') ?? $phones['mobile'][$i] ?? '' }}"
                                   required autofocus aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" type="button" id="add_mobile_phone_btn"><i
                                        class="fa fa-plus"></i></button>
                            </div>
                        </div>
                    @endif
                @endfor
            @else
                <div class="input-group">
                    <input id="phones" type="text"
                           class="form-control @error('phones') is-invalid @enderror mobile_phone"
                           name="phones[mobile][]"
                           value="{{ old('phones[mobile][]') ?? '' }}" required autofocus
                           aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="button" id="add_mobile_phone_btn"><i
                                class="fa fa-plus"></i></button>
                    </div>
                </div>
            @endif

        @error('phones')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="phones" class="col-md-4 col-form-label text-md-right">{{ __('driver.static_phone') }}</label>

    <div class="col-md-6 phone_inputs" id="static_inputs">
            @if(isset($phones['static']))
                @for($i=0; $i < count($phones['static']); $i++)
                    @if($i > 0)
                        <div class="input-group">
                            <input id="phones" type="text"
                                   class="form-control @error('phones') is-invalid @enderror static_phone"
                                   name="phones[static][]"
                                   value="{{ old('phones[static]['.$i.']') ?? $phones['static'][$i] ?? '' }}"
                                   autofocus aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary delete_phone_input_btn" type="button"><i
                                        class="fa fa-minus"></i></button>
                            </div>
                        </div>
                    @else
                        <div class="input-group">
                            <input id="phones" type="text"
                                   class="form-control @error('phones') is-invalid @enderror static_phone"
                                   name="phones[static][]"
                                   value="{{ old('phones[static]['.$i.']') ?? $phones['static'][$i] ?? '' }}"
                                   autofocus aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" type="button" id="add_static_phone_btn"><i
                                        class="fa fa-plus"></i></button>
                            </div>
                        </div>
                    @endif
                @endfor
            @else
                <div class="input-group">
                    <input id="phones" type="text"
                           class="form-control @error('phones') is-invalid @enderror static_phone"
                           name="phones[static][]"
                           value="{{ old('phones[static][]') ?? '' }}" autofocus aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="button" id="add_static_phone_btn"><i
                                class="fa fa-plus"></i></button>
                    </div>
                </div>
            @endif
    </div>
</div>

<div class="form-group row">
    <label for="birthday" class="col-md-4 col-form-label text-md-right">{{ __('driver.birthday') }}</label>

    <div class="col-md-6">
        <input id="birthday" type="date"
               class="form-control @error('birthday') is-invalid @enderror" name="birthday"
               value="{{ old('birthday') ?? $driver->birthday ?? $profile->birthday  ?? ''}}" required autofocus>

        @error('birthday')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="birthplace" class="col-md-4 col-form-label text-md-right">{{ __('driver.birthplace') }}</label>

    <div class="col-md-6">
        <input id="birthplace" type="text"
               class="form-control @error('birthplace') is-invalid @enderror" name="birthplace"
               value="{{ old('birthplace') ?? $driver->birthplace ?? $profile->birthplace ?? '' }}" required autofocus>

        @error('birthplace')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="address" class="col-md-4 col-form-label text-md-right">{{ __('driver.address') }}</label>

    <div class="col-md-6">
        <input id="address" type="text"
               class="form-control @error('address') is-invalid @enderror" name="address"
               value="{{ old('address') ?? $driver->address ?? $profile->address ?? '' }}" required autofocus>

        @error('address')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<hr>

<div class="card">
    <div class="card-header">
        {{ __('driver.passport_data') }}
    </div>
    <div class="card-body">

        <div class="form-group row">
            <label for="passport_series"
                   class="col-md-4 col-form-label text-md-right">{{ __('driver.passport_series') }}</label>

            <div class="col-md-6">
                <input id="passport_series" type="text"
                       class="form-control @error('passport_series') is-invalid @enderror" name="passport_series"
                       value="{{ old('passport_series') ?? $driver->passport_series ?? $profile->passport_series ?? '' }}"
                       required
                       autofocus>

                @error('passport_series')
                <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                @enderror
            </div>
        </div>

        <div class="form-group row">
            <label for="passport_number"
                   class="col-md-4 col-form-label text-md-right">{{ __('driver.passport_number') }}</label>

            <div class="col-md-6">
                <input id="passport_number" type="text"
                       class="form-control @error('passport_number') is-invalid @enderror" name="passport_number"
                       value="{{ old('passport_number') ?? $driver->passport_number ?? $profile->passport_number ?? '' }}"
                       required
                       autofocus>

                @error('passport_number')
                <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                @enderror
            </div>
        </div>

        <div class="form-group row">
            <label for="passport_issued"
                   class="col-md-4 col-form-label text-md-right">{{ __('driver.passport_issued') }}</label>

            <div class="col-md-6">
                <input id="passport_issued" type="text"
                       class="form-control @error('passport_issued') is-invalid @enderror" name="passport_issued"
                       value="{{ old('passport_issued') ?? $driver->passport_issued ?? $profile->passport_issued ?? '' }}"
                       required
                       autofocus>

                @error('passport_issued')
                <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                @enderror
            </div>
        </div>

        <div class="form-group row">
            <label for="passport_date"
                   class="col-md-4 col-form-label text-md-right">{{ __('driver.passport_date') }}</label>

            <div class="col-md-6">
                <input id="passport_date" type="date"
                       class="form-control @error('passport_date') is-invalid @enderror" name="passport_date"
                       value="{{ old('passport_date') ?? $driver->passport_date ?? $profile->passport_date  ?? ''}}"
                       required
                       autofocus>

                @error('passport_date')
                <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                @enderror
            </div>
        </div>
    </div>
</div>

<hr>
@csrf

resources/views/driver/show.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/driver/show.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('profile.profile') }}</div>

                    <div class="card-body">
                        <form method="GET" action="{{ route('driver.show',['driver' => $driver->id]) }}" enctype="multipart/form-data" id="show_driver_form">
                            @method('GET')
                            @include('driver.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('profile.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection